commit:     e312ad721e81fe2929a97e4819ef4440afaa93d5
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Thu Mar 14 11:22:54 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Mar 16 19:18:09 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e312ad72

gui-wm/wayfire: add 0.8.1

* Remove system-wfconfig and system-wlroots use flags, the default will
  be to use system wf-config and system wlroots. Now that upstream is more
  active and targets specific wlroots major releases the point of
  system-wlroots has gone. wf-config has the same upstream so using a
  bundled version doesn't have much rationale.
* Drop x86 keyword, wlroots-17 drm backend is unavailable for x86 and wayfire
  expects the backend unconditionally in its api.

Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 gui-wm/wayfire/Manifest             |   1 +
 gui-wm/wayfire/wayfire-0.8.1.ebuild | 105 ++++++++++++++++++++++++++++++++++++
 2 files changed, 106 insertions(+)

diff --git a/gui-wm/wayfire/Manifest b/gui-wm/wayfire/Manifest
index a9f7fe0b996e..60931f638e27 100644
--- a/gui-wm/wayfire/Manifest
+++ b/gui-wm/wayfire/Manifest
@@ -1,2 +1,3 @@
 DIST wayfire-0.7.5.tar.xz 781952 BLAKE2B 
10f4927d793ad2f8047ab5608db72bb5988fbb4df805dc65a87b011453729109ca0b3a92cf89e867266fae52268e1e2ac452bbd6efcc81e8f1a0c0640008adc1
 SHA512 
fce6d4c81fa3675df1e656f8bf504f7fc9d1b7104687bcc6d669950582f46bd0ad084c6a487434077df029438243cd91cf6ec60dc7d584b40bfd7a4c8d069f53
 DIST wayfire-0.8.0.tar.xz 828576 BLAKE2B 
4d80a0d43061a4564d45f7c077fd97737b426c4036c12f004815dbad120f51b38b2fac9a010e2df27a6a96205cd0dcceb81864bdccbd6e337d81f6c37926e019
 SHA512 
fab55f6112c462312edf43d41b29f476d493449eca8f0c5cfee8f3aae73dcb98be46c589fc23d10d961f738bdf6d1fe78286b4c96e1d4444fdc8b1b898d998a9
+DIST wayfire-0.8.1.tar.xz 856364 BLAKE2B 
1b596b28878789ca26eeb57c6c24e0b69508731de2144e1477f8071b41f17757b2125f2f4f99670ca8b7f85172a9f641b9be1f9190eeff5b261bcc2df1bec4ab
 SHA512 
7bce5656b6a7a7fe53b37492465dee3e591eb386666fdd3d6876f4a589f059510fb2d0c0a326df260ca6a293edf4ba43bb55f813e85d4d2d38d6ef1319280254

diff --git a/gui-wm/wayfire/wayfire-0.8.1.ebuild 
b/gui-wm/wayfire/wayfire-0.8.1.ebuild
new file mode 100644
index 000000000000..a5e655f6d398
--- /dev/null
+++ b/gui-wm/wayfire/wayfire-0.8.1.ebuild
@@ -0,0 +1,105 @@
+# Copyright 2019-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="compiz like 3D wayland compositor"
+HOMEPAGE="https://github.com/WayfireWM/wayfire";
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/WayfireWM/${PN}.git";
+       SLOT="0/0.8"
+else
+       
SRC_URI="https://github.com/WayfireWM/${PN}/releases/download/v${PV}/${P}.tar.xz";
+       KEYWORDS="~amd64 ~arm64 ~riscv"
+       SLOT="0/$(ver_cut 1-2)"
+fi
+
+LICENSE="MIT"
+IUSE="+gles test X"
+RESTRICT="!test? ( test )"
+
+# bundled wlroots has the following dependency string according to included 
headers.
+# wlroots[drm,gles2-renderer,libinput,x11-backend?,X?]
+# enable x11-backend with X and vice versa
+CDEPEND="
+       dev-cpp/nlohmann_json
+       dev-libs/glib:2
+       dev-libs/libevdev
+       >=dev-libs/libinput-1.7.0:=
+       dev-libs/wayland
+       >=dev-libs/wayland-protocols-1.12
+       gui-libs/wf-config:${SLOT}
+       gui-libs/wlroots:0/17[drm(+),libinput(+),x11-backend,X?]
+       media-libs/glm
+       media-libs/libglvnd
+       media-libs/libjpeg-turbo:=
+       media-libs/libpng:=
+       x11-libs/cairo
+       x11-libs/libxkbcommon
+       x11-libs/pango
+       x11-libs/pixman
+       X? (
+               x11-libs/libxcb:=
+       )
+"
+
+RDEPEND="
+       ${CDEPEND}
+       x11-misc/xkeyboard-config
+"
+DEPEND="
+       ${CDEPEND}
+       test? ( dev-cpp/doctest )
+"
+BDEPEND="
+       dev-util/wayland-scanner
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       default
+
+       sed -e "s:@EPREFIX@:${EPREFIX}:" \
+               "${FILESDIR}"/wayfire-session > "${T}"/wayfire-session || die
+       sed -e "s:@EPREFIX@:${EPREFIX}:" \
+               "${FILESDIR}"/wayfire-session.desktop > 
"${T}"/wayfire-session.desktop || die
+}
+
+src_configure() {
+       local emesonargs=(
+               $(meson_feature test tests)
+               $(meson_feature X xwayland)
+               $(meson_use gles enable_gles32)
+               -Duse_system_wfconfig=enabled
+               -Duse_system_wlroots=enabled
+       )
+
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+       dobin "${T}"/wayfire-session
+
+       insinto "/usr/share/wayland-sessions/"
+       insopts -m644
+       doins wayfire.desktop
+       doins "${T}"/wayfire-session.desktop
+
+       insinto "/usr/share/wayfire/"
+       doins wayfire.ini
+}
+
+pkg_postinst() {
+       if [ -z "${REPLACING_VERSIONS}" ]; then
+               elog "Wayfire has been installed but the session cannot be used"
+               elog "until you install a configuration file. The default 
config"
+               elog "file is installed at \"/usr/share/wayfire/wayfire.ini\""
+               elog "To install the file execute"
+               elog "\$ cp /usr/share/wayfire/wayfire.ini 
~/.config/wayfire.ini"
+       fi
+}

Reply via email to